---
- name: Install PostgreSQL and packages
  ansible.builtin.include_tasks: install.yml

- name: "initializing PostgreSQL {{ postgresql_version }}"
  ansible.builtin.include_tasks: initialize.yml

- name: "Configure PostgreSQL {{ postgresql_version }}"
  ansible.builtin.include_tasks: configure.yml

- name: Configure PostgreSQL users
  ansible.builtin.import_tasks: users.yml

- name: Configure PostgreSQL databases
  ansible.builtin.import_tasks: databases.yml

- name: Ensure PostgreSQL users are configured correctly
  ansible.builtin.import_tasks: users_props.yml
